diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 9257cbf..033ff29 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -518,11 +518,17 @@ class ConfigurationFile:
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_pkcs12_password",
                                                                                          self.master_dict['pki_user_deployment_cfg']))
             # Verify existence of Security Domain Password
-            # (ONLY for Clones, KRA, OCSP, TKS, TPS, or Subordinate CA
+            # (ONLY for non-Stand-alone PKI KRA, non-Standalone PKI OCSP,
+            #  PKI TKS, PKI TPS, Clones, or Subordinate CA
             #  that will be automatically configured)
-            if config.str2bool(self.master_dict['pki_clone']) or\
-               not self.master_dict['pki_subsystem'] == "CA" or\
-               config.str2bool(self.master_dict['pki_subordinate']):
+            if ((self.master_dict['pki_subsystem'] == "KRA" or
+                 self.master_dict['pki_subsystem'] == "OCSP") and
+                not config.str2bool(self.master_dict['pki_standalone'])) or\
+               self.master_dict['pki_subsystem'] == "TKS" or\
+               self.master_dict['pki_subsystem'] == "TPS" or\
+               config.str2bool(self.master_dict['pki_clone']) or\
+               (self.master_dict['pki_subsystem'] == "CA" and
+                config.str2bool(self.master_dict['pki_subordinate'])):
                 if not config.str2bool(self.master_dict['pki_skip_configuration']):
                     if not self.master_dict.has_key('pki_security_domain_password') or\
                        not len(self.master_dict['pki_security_domain_password']):
@@ -601,8 +607,10 @@ class ConfigurationFile:
                         "pki_ds_base_dn",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_base_dn",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_ds_base_dn",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_ds_ldap_port') or\
                    not len(self.master_dict['pki_ds_ldap_port']):
                     # FUTURE:  Check for unused port value
@@ -613,8 +621,10 @@ class ConfigurationFile:
                         "pki_ds_ldap_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldap_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_ds_ldap_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_ds_ldaps_port') or\
                    not len(self.master_dict['pki_ds_ldaps_port']):
                     # FUTURE:  Check for unused port value
@@ -625,8 +635,10 @@ class ConfigurationFile:
                         "pki_ds_ldaps_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldaps_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_ds_ldaps_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 # NOTE:  Although this will be checked prior to getting to
                 #        this method, this clone's 'pki_instance_name' MUST
                 #        be different from the master's 'pki_instance_name'
@@ -642,8 +654,10 @@ class ConfigurationFile:
                         "pki_ajp_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ajp_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_ajp_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_http_port') or\
                    not len(self.master_dict['pki_http_port']):
                     # FUTURE:  Check for unused port value
@@ -654,8 +668,10 @@ class ConfigurationFile:
                         "pki_http_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_http_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_http_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_https_port') or\
                    not len(self.master_dict['pki_https_port']):
                     # FUTURE:  Check for unused port value
@@ -666,8 +682,10 @@ class ConfigurationFile:
                         "pki_https_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_https_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_https_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_tomcat_server_port') or\
                    not len(self.master_dict['pki_tomcat_server_port']):
                     # FUTURE:  Check for unused port value
@@ -678,8 +696,10 @@ class ConfigurationFile:
                         "pki_tomcat_server_port",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_tomcat_server_port",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_tomcat_server_port",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_clone_pkcs12_path') or\
                    not len(self.master_dict['pki_clone_pkcs12_path']):
                     config.pki_log.error(
@@ -687,14 +707,17 @@ class ConfigurationFile:
                         "pki_clone_pkcs12_path",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_pkcs12_path",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_clone_pkcs12_path",
+                             self.master_dict['pki_user_deployment_cfg']))
                 elif not os.path.isfile(self.master_dict['pki_clone_pkcs12_path']):
                     config.pki_log.error(
                         log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                         self.master_dict['pki_clone_pkcs12_path'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % "pki_clone_pkcs12_path")
+                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 %
+                                    "pki_clone_pkcs12_path")
                 if not self.master_dict.has_key('pki_clone_replication_security') or\
                    not len(self.master_dict['pki_clone_replication_security']):
                     config.pki_log.error(
@@ -702,8 +725,10 @@ class ConfigurationFile:
                         "pki_clone_replication_security",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_replication_security",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_clone_replication_security",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not self.master_dict.has_key('pki_clone_uri') or\
                    not len(self.master_dict['pki_clone_uri']):
                     config.pki_log.error(
@@ -711,8 +736,10 @@ class ConfigurationFile:
                         "pki_clone_uri",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_uri",
-                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_clone_uri",
+                             self.master_dict['pki_user_deployment_cfg']))
             elif self.master_dict['pki_subsystem'] == "CA" and\
                  config.str2bool(self.master_dict['pki_external']):
                 if not self.master_dict.has_key('pki_external_step_two') or\
@@ -722,8 +749,10 @@ class ConfigurationFile:
                         "pki_external_step_two",
                         self.master_dict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_step_two",
-                                                                                          self.master_dict['pki_user_deployment_cfg']))
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                            ("pki_external_step_two",
+                             self.master_dict['pki_user_deployment_cfg']))
                 if not config.str2bool(self.master_dict['pki_external_step_two']):
                     # External CA (Step 1)
                     if not self.master_dict.has_key('pki_external_csr_path') or\
@@ -733,15 +762,17 @@ class ConfigurationFile:
                             "pki_external_csr_path",
                             self.master_dict['pki_user_deployment_cfg'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_csr_path",
-                                                                                              self.master_dict['pki_user_deployment_cfg']))
-                    elif os.path.exists(self.master_dict['pki_external_csr_path']) and\
-                         not os.path.isfile(self.master_dict['pki_external_csr_path']):
+                        raise Exception(
+                            log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                                ("pki_external_csr_path",
+                                 self.master_dict['pki_user_deployment_cfg']))
+                    elif os.path.exists(self.master_dict['pki_external_csr_path']):
                         config.pki_log.error(
-                            log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
+                            log.PKI_FILE_ALREADY_EXISTS_1,
                             self.master_dict['pki_external_csr_path'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_csr_path")
+                        raise Exception(log.PKI_FILE_ALREADY_EXISTS_1 %
+                                        "pki_external_csr_path")
                 else:
                     # External CA (Step 2)
                     if not self.master_dict.has_key('pki_external_ca_cert_chain_path') or\
@@ -751,17 +782,20 @@ class ConfigurationFile:
                             "pki_external_ca_cert_chain_path",
                             self.master_dict['pki_user_deployment_cfg'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_ca_cert_chain_path",
-                                                                                              self.master_dict['pki_user_deployment_cfg']))
-                    elif os.path.exists(
-                                 self.master_dict['pki_external_ca_cert_chain_path']) and\
+                        raise Exception(
+                            log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                                ("pki_external_ca_cert_chain_path",
+                                 self.master_dict['pki_user_deployment_cfg']))
+                    elif not os.path.exists(
+                                 self.master_dict['pki_external_ca_cert_chain_path']) or\
                          not os.path.isfile(
                                  self.master_dict['pki_external_ca_cert_chain_path']):
                         config.pki_log.error(
-                            log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
+                            log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                             self.master_dict['pki_external_ca_cert_chain_path'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_ca_cert_chain_path")
+                        raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 %
+                                        "pki_external_ca_cert_chain_path")
                     if not self.master_dict.has_key('pki_external_ca_cert_path') or\
                        not len(self.master_dict['pki_external_ca_cert_path']):
                         config.pki_log.error(
